<?php

namespace Ecentral\PunchCommerce\Plugin;

use Ecentral\PunchCommerce\Helper\Config;
use Magento\Customer\Model\Session;

class CartHelperPlugin
{
    public function __construct(private Session $customerSession, private Config $config)
    {
    }

    public function afterCanOnepageCheckout($helper, $result)
    {
        return $result
            && ($this->config->isActive() ? !$this->customerSession->getCustomer()->getPunchcommerceCustomerId() : true);
    }
}
