<?php

namespace Ecentral\PunchCommerce\Controller\Authenticate;

use Magento\Framework\App\Action\Context;
use Magento\Framework\App\Action\HttpGetActionInterface;
use Magento\Framework\Controller\ResultFactory;

class Redirect implements HttpGetActionInterface
{
    protected Context $context;

    public function __construct(Context $context)
    {
        $this->context = $context;
    }

    public function execute()
    {
        $redirect = $this->context->getResultFactory()->create(ResultFactory::TYPE_REDIRECT);
        $redirect->setUrl($this->context->getUrl()->getUrl('/'));
        return $redirect;
    }
}
