<?php

namespace Ecentral\PunchCommerce\Plugin;

use Ecentral\PunchCommerce\Helper\Config;
use Magento\Framework\App\Response\HeaderProvider\XFrameOptions;

class XFrameOptionsPlugin
{
    public function __construct(private Config $config)
    {
    }

    public function afterCanApply(XFrameOptions $headerProvider, $result)
    {
        return $this->config->isActive() ? false : $result;
    }
}
